Debian Bug report logs - #517466
aqualung: FTBFS: error: ffmpeg/avcodec.h: No such file or directory

version graph

Package: aqualung; Maintainer for aqualung is Debian QA Group <packages@qa.debian.org>; Source for aqualung is src:aqualung.

Reported by: Kurt Roeckx <kurt@roeckx.be>

Date: Fri, 27 Feb 2009 22:42:04 UTC

Severity: serious

Tags: patch, sid, squeeze

Found in version aqualung/0.9~beta9.1-1

Fixed in versions aqualung/0.9~beta10-1, aqualung/0.9~beta9.1-1.1

Done: Barry deFreese <bdefreese@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, pkg-multimedia-maintainers@lists.alioth.debian.org, Adam Cécile (Le_Vert) <gandalf@le-vert.net>:
Bug#517466; Package aqualung. (Fri, 27 Feb 2009 22:42:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Kurt Roeckx <kurt@roeckx.be>:
New Bug report received and forwarded. Copy sent to pkg-multimedia-maintainers@lists.alioth.debian.org, Adam Cécile (Le_Vert) <gandalf@le-vert.net>. (Fri, 27 Feb 2009 22:42:08 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Kurt Roeckx <kurt@roeckx.be>
To: submit@bugs.debian.org
Subject: aqualung: FTBFS: error: ffmpeg/avcodec.h: No such file or directory
Date: Fri, 27 Feb 2009 23:39:15 +0100
Package: aqualung
Version: 0.9~beta9.1-1
Severity: serious

Hi,

Your package is failing to build with the following error:
In file included from dec_lavc.c:29:
dec_lavc.h:26:28: error: ffmpeg/avcodec.h: No such file or directory
dec_lavc.h:27:29: error: ffmpeg/avformat.h: No such file or directory
In file included from dec_lavc.c:29:
dec_lavc.h:38: error: expected specifier-qualifier-list before 'AVFormatContext'
[...]

The problem here is that the includes files changed location,
like <ffmpeg/avcodec.h> to <libavcodec/avcodec.h>, and your package
will need to be changed for that.


Kurt





Information forwarded to debian-bugs-dist@lists.debian.org, Adam Cécile (Le_Vert) <gandalf@le-vert.net>:
Bug#517466; Package aqualung. (Sat, 28 Feb 2009 01:57:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to peter green <plugwash@p10link.net>:
Extra info received and forwarded to list. Copy sent to Adam Cécile (Le_Vert) <gandalf@le-vert.net>. (Sat, 28 Feb 2009 01:57:06 GMT) Full text and rfc822 format available.

Message #10 received at 517466@bugs.debian.org (full text, mbox):

From: peter green <plugwash@p10link.net>
To: 517466@bugs.debian.org
Cc: control@bugs.debian.org
Subject: re: aqualung: FTBFS: error: ffmpeg/avcodec.h: No such file or directory
Date: Sat, 28 Feb 2009 01:53:28 +0000
tags 517466 +patch
thanks

Just change "ffmpeg/avcodec.h" to "libavcodec/avcodec.h" and 
"ffmpeg/avformat.h" to "libavcodec/avcodec.h" in src/decoder/dec_lavc.h 
to make this package build again.




Tags added: patch Request was from peter green <plugwash@p10link.net> to control@bugs.debian.org. (Sat, 28 Feb 2009 01:57:08 GMT) Full text and rfc822 format available.

Reply sent to Adam Cécile (Le_Vert) <gandalf@le-vert.net>:
You have taken responsibility. (Mon, 09 Mar 2009 22:06:22 GMT) Full text and rfc822 format available.

Notification sent to Kurt Roeckx <kurt@roeckx.be>:
Bug acknowledged by developer. (Mon, 09 Mar 2009 22:06:22 GMT) Full text and rfc822 format available.

Message #17 received at 517466-close@bugs.debian.org (full text, mbox):

From: Adam Cécile (Le_Vert) <gandalf@le-vert.net>
To: 517466-close@bugs.debian.org
Subject: Bug#517466: fixed in aqualung 0.9~beta10-1
Date: Mon, 09 Mar 2009 21:17:10 +0000
Source: aqualung
Source-Version: 0.9~beta10-1

We believe that the bug you reported is fixed in the latest version of
aqualung, which is due to be installed in the Debian FTP archive:

aqualung_0.9~beta10-1.diff.gz
  to pool/main/a/aqualung/aqualung_0.9~beta10-1.diff.gz
aqualung_0.9~beta10-1.dsc
  to pool/main/a/aqualung/aqualung_0.9~beta10-1.dsc
aqualung_0.9~beta10-1_i386.deb
  to pool/main/a/aqualung/aqualung_0.9~beta10-1_i386.deb
aqualung_0.9~beta10.orig.tar.gz
  to pool/main/a/aqualung/aqualung_0.9~beta10.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 517466@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Adam Cécile (Le_Vert) <gandalf@le-vert.net> (supplier of updated aqualung package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Mon, 09 Mar 2009 20:44:18 +0100
Source: aqualung
Binary: aqualung
Architecture: source i386
Version: 0.9~beta10-1
Distribution: unstable
Urgency: low
Maintainer: Adam Cécile (Le_Vert) <gandalf@le-vert.net>
Changed-By: Adam Cécile (Le_Vert) <gandalf@le-vert.net>
Description: 
 aqualung   - Gapless Gtk-based audio player
Closes: 517466
Changes: 
 aqualung (0.9~beta10-1) unstable; urgency=low
 .
   * New upstream release.
   * Now build fine with current ffmpeg packages (Closes: #517466).
   * Bump Standards-Version to 3.8.0.
   * Rework debian/rules to avoid having config.guess/sub in diff.
   * Built without MPC support due to incompatibility with current libmpcdec.
Checksums-Sha1: 
 fbb6074c6457be68bfc7ac338434652918d4e552 1710 aqualung_0.9~beta10-1.dsc
 74c9add1385eb754b816f2581018631d0dad5af2 1400075 aqualung_0.9~beta10.orig.tar.gz
 01c8f1a06d08269c629becacd5f60a0dea66bda1 4171 aqualung_0.9~beta10-1.diff.gz
 9829737b822e35f70fd3bc57d28ad640fc9d9d55 863904 aqualung_0.9~beta10-1_i386.deb
Checksums-Sha256: 
 c32ab61446168259bf779092a760714a05e3cde511f7ffcf8396a3b8db803daa 1710 aqualung_0.9~beta10-1.dsc
 464568ff1b87c7a3dc6ef7d153a18e56ca8e0bfd5a173f942a00f4e59e097d67 1400075 aqualung_0.9~beta10.orig.tar.gz
 d5ddbefb0f0dad17f49953324c88e76f9e17dea599a233cab4c7df397f6be1ad 4171 aqualung_0.9~beta10-1.diff.gz
 bb5b2c8a6b1239733cee92f32a86b1cc68fd4f0924ba4e612277885d588001fa 863904 aqualung_0.9~beta10-1_i386.deb
Files: 
 9e0d46fbb8d6753b6156d34356e64b89 1710 sound extra aqualung_0.9~beta10-1.dsc
 29ce07b74527e6e44f0c4c778ac85f40 1400075 sound extra aqualung_0.9~beta10.orig.tar.gz
 6648130b4ff5bee59ad8e32733a3a077 4171 sound extra aqualung_0.9~beta10-1.diff.gz
 009f06e033747247ecf391c8fd8752af 863904 sound extra aqualung_0.9~beta10-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAkm1hncACgkQ5ItltUs5T35iqwCeNMqkMgzcL0bKTysQ2VBfZho5
3ZwAn1Gms92Ug4gLjjx4sBGSq2xE4rh8
=fya/
-----END PGP SIGNATURE-----





Reply sent to Barry deFreese <bdefreese@debian.org>:
You have taken responsibility. (Mon, 09 Mar 2009 22:06:24 GMT) Full text and rfc822 format available.

Notification sent to Kurt Roeckx <kurt@roeckx.be>:
Bug acknowledged by developer. (Mon, 09 Mar 2009 22:06:24 GMT) Full text and rfc822 format available.

Message #22 received at 517466-close@bugs.debian.org (full text, mbox):

From: Barry deFreese <bdefreese@debian.org>
To: 517466-close@bugs.debian.org
Subject: Bug#517466: fixed in aqualung 0.9~beta9.1-1.1
Date: Mon, 09 Mar 2009 21:17:08 +0000
Source: aqualung
Source-Version: 0.9~beta9.1-1.1

We believe that the bug you reported is fixed in the latest version of
aqualung, which is due to be installed in the Debian FTP archive:

aqualung_0.9~beta9.1-1.1.diff.gz
  to pool/main/a/aqualung/aqualung_0.9~beta9.1-1.1.diff.gz
aqualung_0.9~beta9.1-1.1.dsc
  to pool/main/a/aqualung/aqualung_0.9~beta9.1-1.1.dsc
aqualung_0.9~beta9.1-1.1_i386.deb
  to pool/main/a/aqualung/aqualung_0.9~beta9.1-1.1_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 517466@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Barry deFreese <bdefreese@debian.org> (supplier of updated aqualung package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Mon, 09 Mar 2009 16:13:53 -0400
Source: aqualung
Binary: aqualung
Architecture: source i386
Version: 0.9~beta9.1-1.1
Distribution: unstable
Urgency: low
Maintainer: Adam Cécile (Le_Vert) <gandalf@le-vert.net>
Changed-By: Barry deFreese <bdefreese@debian.org>
Description: 
 aqualung   - Gapless Gtk-based audio player
Closes: 517466
Changes: 
 aqualung (0.9~beta9.1-1.1) unstable; urgency=low
 .
   * Non-maintainer upload.
   * 010-ffmpeg_headers.dpatch. Build with newer ffmpeg. (Closes: #517466).
Checksums-Sha1: 
 6e05869423a89ffa83b340d117ef98ffa902d5db 1728 aqualung_0.9~beta9.1-1.1.dsc
 d5b2ca37b3ce35a1f521d1378425b5afceb7265e 27304 aqualung_0.9~beta9.1-1.1.diff.gz
 b1490de3f3116b1e93eed7423f96cbacfc949349 824334 aqualung_0.9~beta9.1-1.1_i386.deb
Checksums-Sha256: 
 93853d87c82603d95343d9d0a6095bde8243e02a94990d05a274df5b171aa25b 1728 aqualung_0.9~beta9.1-1.1.dsc
 8e34870dc1b5549630e66cac7dd8397d05ccd07b498ef6961dc86e1f00552a6a 27304 aqualung_0.9~beta9.1-1.1.diff.gz
 9511f7e7b9fcc5904879c081e1e19a16d30559b4ef58447d1d63631a13ce084e 824334 aqualung_0.9~beta9.1-1.1_i386.deb
Files: 
 d230e1ab1e75a282ce461b9eade21b1c 1728 sound extra aqualung_0.9~beta9.1-1.1.dsc
 bdc459d244e70b9ab887f7f9e575fe97 27304 sound extra aqualung_0.9~beta9.1-1.1.diff.gz
 f1cc86e3b32e8bc6b4d2205379214647 824334 sound extra aqualung_0.9~beta9.1-1.1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAkm1e5cACgkQ5ItltUs5T353tACeLcHl8UMAZuxlUD7ZnReHbXCn
5yIAnReoX24N8PgB6ZSOkysYut722sPd
=mWg1
-----END PGP SIGNATURE-----





Added tag(s) squeeze and sid. Request was from kurt@roeckx.be (Kurt Roeckx) to control@bugs.debian.org. (Mon, 16 Nov 2009 20:33:07 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 07 Feb 2011 08:21:15 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 15:57:13 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.